import 'package:flutter/material.dart';

class SnackBarController {
  static GlobalKey<ScaffoldMessengerState>? rootScaffoldMessengerKey;

  static bool showText(String text) {
    return show(widget: Text(text));
  }

  static bool showIconAndText(IconData iconData, String text) {
    return show(
        widget: Row(
      children: [
        Padding(
          padding: const EdgeInsets.only(right: 7),
          child: Icon(iconData, color: Colors.white),
        ),
        Text(text)
      ],
    ));
  }

  static bool showTextAndAction(
      String text, String action, void Function() onPressed) {
    return show(
      widget: Text(text),
      action: SnackBarAction(label: action, onPressed: onPressed),
    );
  }

  static bool show({Widget? widget, SnackBarAction? action}) {
    if (rootScaffoldMessengerKey == null) return false;

    rootScaffoldMessengerKey!.currentState!.hideCurrentSnackBar();
    rootScaffoldMessengerKey!.currentState!.showSnackBar(SnackBar(
      content: widget!,
      action: action,
    ));
    return true;
  }
}
