import 'package:clean_android_design/clean_android_design.dart';
import 'package:cloud_firestore/cloud_firestore.dart';

abstract class IUpdateScaffoldWidgetService<
    T extends UpdateableDatabaseItem<T>> {
  Stream<T> documentStream(String? id);
  Future<T?> document(String? id, {Source source = Source.serverAndCache});
  Future<DocumentReference> add(T item);
  Future<DocumentReference> update(T item,
      {List<String>? onlyUpdateKeys, bool supressSubItemUpdate = false});
}
